package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.PixelBlockItem;
import net.kyori.adventure.text.serializer.plain.PlainTextComponentSerializer;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.CraftItemEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

import java.util.Objects;

public class CraftPixelBlockListener implements Listener {
    @EventHandler
    static void onCraftItem(CraftItemEvent event) {
        ItemStack craftedItem = event.getCurrentItem();
        Objects.requireNonNull(craftedItem);

        ItemMeta craftedItemMeta = craftedItem.getItemMeta();
        String itemName = PlainTextComponentSerializer.plainText().serialize(craftedItemMeta.itemName());

        if(!itemName.equals(PixelBlockItem.unusedBlockID.toString())) return;
        if(event.isShiftClick()) event.setCancelled(true);
    }
}
